<?php  
session_start();
if(!isset($_SESSION['tulsilogin']))
	{
		header('Location: index.php');
		return;
	} 

	include("connect.php");	header("Access-Control-Allow-Origin: *");
	
	$eve = "select * from res_area_master";
	$re = mysqli_query($conn, $eve);	
	
	$response = array();
	$posts = array();
	
	$result="0";
	
	if(mysqli_num_rows($re) > 0)
	{
		$i=1;
		 while($rt = mysqli_fetch_assoc($re))
		 {
			 	
				$areamid=$rt['areamid'];
				
				$pidedit="<a href='areaedit.php?id=".$rt['areamid']."' data-toggle='tooltip' data-placement='top' title='Edit' class='fa fa-edit fa-lg'>  </a>";
				
				
				
				
				$piddelete="<a href='areadelete.php?id=".$rt['areamid']."'onclick='return confirm(&#39;Are you sure you want to delete ?&#39;);' data-toggle='tooltip' data-placement='top' title='Delete' class='far fa-trash-alt fa-lg'>  </a>";			
                $op=$pidedit."&nbsp;&nbsp;&nbsp; ".$piddelete;
								
								
				$areaname=str_replace ("'","'",$rt['areaname']);
				$areaname=str_replace ('"','\"',$areaname);
				$citymid=$rt['citymid'];
				
				$eve1 = "select * from res_city_master where citymid=$citymid";
				$re1 = mysqli_query($conn, $eve1);
				$cityname='';
				if(mysqli_num_rows($re1) > 0)
				{
					
					 while($rt1 = mysqli_fetch_assoc($re1))
					 {
							
						$cityname=$rt1['cityname'];
					 }
				}
				
								
				$posts[] = array('srno'=> $i++,'op'=> $op,'piddelete'=> $piddelete, 'areaname'=> $areaname, 'city'=> $cityname);
		 }
		 
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('data' => $posts)));
		mysqli_close($conn);
		return;
	}
	
   else
   {
		$result="0";
		$msg="Invalid Error";
		
		$posts[] = array('p1'=> $result,'p2'=> $msg);
	
		$response['posts'] = $posts;
		echo stripslashes(json_encode( array('item' => $posts)));
   }   
	mysqli_close($conn);	
	
?>